> ## Documentation Index
> Fetch the complete documentation index at: https://trilletai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Install GoHighLevel

> Get the GoHighLevel OAuth authorization URL to connect your GHL CRM.

## Headers

<ParamField header="x-api-key" type="string" required>
  API key used for authenticating requests to the API.
</ParamField>

<ParamField header="x-workspace-id" type="string" required>
  Workspace identifier for the API.
</ParamField>

## Query Parameters

<ParamField query="pathwayId" type="string" required>
  The call flow pathway ID to connect GoHighLevel to.
</ParamField>

## Response Fields

<ResponseField name="url" type="string">
  The GoHighLevel OAuth authorization URL. Redirect the user to this URL to authorize the connection.
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "url": "https://marketplace.gohighlevel.com/oauth/chooselocation?response_type=code&client_id=...&redirect_uri=...&state=..."
  }
  ```
</ResponseExample>
